---
File: DEP-11
Version: '0.16'
Origin: ubuntu-resolute-main
MediaBaseUrl: https://apt.pop-os.org/release-ubuntu/media/resolute
Time: 20260604T163808
---
Type: console-application
ID: org.freedesktop.fwupd
Package: fwupd
Name:
  C: fwupd
Summary:
  C: Update device firmware on Linux
Description:
  C: >-
    <p>
          This project aims to make updating firmware on Linux automatic, safe and
          reliable.
          You can either use a GUI software manager like GNOME Software to view and
          apply updates, the command-line tool or the D-Bus interface directly.
        </p>
    <p>
          The fwupd process is a system daemon to allow session software to update
          device firmware on your local machine.
          It is designed for desktops, but this project is also usable on phones,
          tablets and on headless servers.
        </p>
DeveloperName:
  C: The fwupd authors
ProjectLicense: LGPL-2.0+
Url:
  bugtracker: https://github.com/fwupd/fwupd/issues
  homepage: https://fwupd.org/
  translate: https://hosted.weblate.org/projects/fwupd/fwupd/
  vcs-browser: https://github.com/fwupd/fwupd
Provides:
  binaries:
  - fwupdmgr
  - fwupdtool
Languages:
- locale: ar
  percentage: 100
- locale: bg
  percentage: 95
- locale: ca
  percentage: 98
- locale: cs
  percentage: 99
- locale: da
  percentage: 52
- locale: de
  percentage: 100
- locale: en_GB
  percentage: 100
- locale: en_US
  percentage: 100
- locale: es
  percentage: 98
- locale: eu
  percentage: 26
- locale: fi
  percentage: 98
- locale: fr
  percentage: 33
- locale: fur
  percentage: 43
- locale: he
  percentage: 46
- locale: hi
  percentage: 88
- locale: hr
  percentage: 94
- locale: hu
  percentage: 84
- locale: id
  percentage: 93
- locale: it
  percentage: 76
- locale: ja
  percentage: 99
- locale: ka
  percentage: 39
- locale: ko
  percentage: 84
- locale: lt
  percentage: 47
- locale: nl
  percentage: 44
- locale: pl
  percentage: 95
- locale: pt
  percentage: 55
- locale: pt_BR
  percentage: 100
- locale: ro
  percentage: 100
- locale: ru
  percentage: 46
- locale: si
  percentage: 62
- locale: sl
  percentage: 100
- locale: sv
  percentage: 100
- locale: tr
  percentage: 45
- locale: uk
  percentage: 99
- locale: zh_CN
  percentage: 54
- locale: zh_TW
  percentage: 52
Releases:
- version: 2.0.19
  type: stable
  unix-timestamp: 1766102400
  description:
    C: >-
      <p>
                This release adds the following features:
              </p>
      <ul>
        <li>Add two commands to fwupdtool to calculate and find CRCs</li>
        <li>Allow systems to use the udev event source without using systemd</li>
      </ul>

      <p>This release fixes the following bugs:</p>

      <ul>
        <li>Always show the correct new firmware version in 'fwupdmgr get-history'</li>
        <li>Fix an integer underflow when parsing a malicious PE file</li>
        <li>Fix a regression when enumerating the dell-dock status component</li>
        <li>Fix the fuzzer timeout when parsing a synaptics-rmi SBL container</li>
        <li>Fix updating the Intel GPU FWDATA section</li>
        <li>Respect 'fwupdmgr --force' when installing firmware</li>
      </ul>

      <p>This release adds support for the following hardware:</p>

      <ul>
        <li>Lenovo Sapphire Folio Keyboard</li>
      </ul>
- version: 2.0.18
  type: stable
  unix-timestamp: 1764547200
  description:
    C: >-
      <p>
                This release adds the following features:
              </p>
      <ul>
        <li>Add a MOTD message for devices needing reboot after staged updates</li>
        <li>Create the reboot-required file when a firmware update requires reboot</li>
        <li>Record the system state for each composite emulation</li>
        <li>Update USI docking station firmware without requiring a manual replug</li>
      </ul>

      <p>This release fixes the following bugs:</p>

      <ul>
        <li>Add a MTD device problem if the Intel SPI BIOS lock is set</li>
        <li>Allow changing the child name when using PARENT_NAME_PREFIX</li>
        <li>Allow UpdateCapsule to work on systems that do not support SecureBoot</li>
        <li>Correctly parse the EFI_CAPSULE_RESULT_VARIABLE_HEADER</li>
        <li>Fall back to the SMBIOS version for BIOS MTD devices</li>
        <li>Fix a crash when trying to record an i2c emulation</li>
        <li>Fixed Huddly upgrade problems with major version changes</li>
        <li>Fix man page compatibility with apropos and whatis</li>
        <li>Fix parsing USB BOS descriptors</li>
        <li>Fix up the x86_64-specific capsule flags when deploying UEFI firmware</li>
        <li>Improve firmware stream searching speed by a huge amount</li>
        <li>Only convert the release uint32_t to device version format for UEFI devices</li>
        <li>Only handle SIGINT in fwupdtool when required</li>
        <li>Refactor the hypervisor and container detection to be usable from plugins</li>
        <li>Set PlatformArchitecture as the CPU architecture for RISC-V machines</li>
        <li>Use a sensible timeout when doing qc-s5gen2 HID requests</li>
      </ul>

      <p>This release adds support for the following hardware:</p>

      <ul>
        <li>HP Portable USB-C 4K HDMI Hub</li>
        <li>Lenovo Legion Go 2 (as a HID device)</li>
        <li>Synaptics HapticsPad</li>
      </ul>
- version: 2.0.17
  type: stable
  unix-timestamp: 1762300800
  description:
    C: >-
      <p>
                This release adds the following features:
              </p>
      <ul>
        <li>Add support for client-side phased update deployment</li>
        <li>Add support for post-quantum signatures</li>
        <li>Allow clearing the cache dirirectory</li>
        <li>Allow fwupdtpmevlog to dump the raw eventlog data</li>
        <li>Build a NVMe GUID derived from the serial number</li>
        <li>Make fwupdtool extract work with deeply nested images</li>
        <li>Parse VSS and FTW variable stores from EFI volumes</li>
        <li>Reintroduce the FreeBSD CI target</li>
        <li>Support very old versions of UDisks</li>
      </ul>

      <p>This release fixes the following bugs:</p>

      <ul>
        <li>Add 'fwupdmgr hwids' by exposing another daemon property</li>
        <li>Add offline hashes for the Microsoft 20250902 dbx</li>
        <li>Add the Framework-specific KEK and db hashes</li>
        <li>Allow updating IFD BIOS region via parent MTD</li>
        <li>Avoid showing reinstall prompts for composite devices</li>
        <li>Clean up the fwupdtool lock file in all cases</li>
        <li>Correctly match the correct historical composite component</li>
        <li>Do not allow PK or KEK updates when system has a test key installed</li>
        <li>Do not allow reinstalling when using ONLY_VERSION_UPGRADE</li>
        <li>Do not require AC power to run the installed tests</li>
        <li>Do not scan EFI volumes when constructing MTD BIOS devices</li>
        <li>Ensure REGION is always set for MTD IFD children</li>
        <li>Ensure SCSI instance IDs are valid ASCII values</li>
        <li>Fix a critical warning when parsing invalid Jabra firmware</li>
        <li>Fix an Ilitek parsing crash found when fuzzing</li>
        <li>Fix an inotify race when refreshing metadata</li>
        <li>Fix a pending-activation problem with Dell docking stations</li>
        <li>Fix a potential hang when creating a chunk array with aligned sizes</li>
        <li>Fix MTD emulation recording for PCI-backed devices</li>
        <li>Fix the device order when the parent specifies install-parent-first</li>
        <li>Fix the FLMSTR layout when reading IFD partitions</li>
        <li>Fix the thunderbolt controller rushing to finalize before onlining retimers</li>
        <li>Fix writing Intel GPU OptionROM data and OptionROM code</li>
        <li>Flush stale events to make the Logitech Rallybar more reliable</li>
        <li>Ignore all the Intel GPU MTD devices</li>
        <li>Ignore errors when writing the last page of Dell dock firmware</li>
        <li>Make an error message more specific</li>
        <li>Modify the Dell dock needs-activation flag after updates are installed</li>
        <li>Only add one devlink device for each PCI card</li>
        <li>Parse the FMAP SBOM area as uSWID when required</li>
        <li>Relax the USI dock DMC child device checks for new firmware</li>
        <li>Revert back to the flashrom deprecated API as the new API is unusable</li>
        <li>Rewrite the fwupdmgr manpage to be more useful</li>
        <li>Use higher delay when update status for Logitech peripheral devices</li>
      </ul>

      <p>This release adds support for the following hardware:</p>

      <ul>
        <li>ASUS CX9406 (touch controller)</li>
        <li>Framework Copilot keyboard</li>
        <li>Genesys GL352530 and GL352360</li>
        <li>Huddly C1</li>
        <li>Lexar and Maxio NVMe SSDs</li>
        <li>Primax Ryder mouse 2</li>
      </ul>
- version: 2.0.16
  type: stable
  unix-timestamp: 1757635200
  description:
    C: >-
      <p>
                This release adds the following features:
              </p>
      <ul>
        <li>Add a 'search' feature to fwupdtool and fwupdmgr</li>
      </ul>

      <p>This release fixes the following bugs:</p>

      <ul>
        <li>Fix missing release locations when loading from artifact</li>
        <li>Fix remaining issues to make updates on FreeBSD work</li>
      </ul>
ContentRating:
  oars-1.1:
    social-info: moderate
